Dynamiq
Apps

Update an app trigger

Updates a trigger's configuration and/or input transformer. When `provider` is omitted it defaults to `pipedream`.

PUT
/v1/apps/{app_id}/triggers/{trigger_id}

Authorization

AuthorizationBearer <token>

Organization or project Access Key created in the Dynamiq console. Used for deployed-app (Runs API), AI Gateway, traces collector, and management API requests. Send as Authorization: Bearer <access-key>.

In: header

Path Parameters

app_id*string

App UUID.

trigger_id*string

Trigger UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/triggers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "provider": "schedule",    "config": {      "schedule": "*/30 * * * *",      "timezone": "America/New_York"    }  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "provider": "pipedream",
    "config": {
      "trigger_id": "string",
      "configured_props": {},
      "dynamic_props_id": "string",
      "deployed_trigger_id": "string"
    },
    "input_transformer": {
      "path": "string",
      "selector": {
        "property1": "string",
        "property2": "string"
      }
    },
    "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
    "status": "draft",
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": "string",
    "updated_at": "2019-08-24T14:15:22Z",
    "updated_by": "string"
  }
}
{
  "error": {
    "code": "bad_request",
    "message": "Bad Request",
    "details": {
      "input": "cannot be blank"
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Unauthorized"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not Found"
  }
}